Bug 6914 - RFE: Handle partitial installs better
Summary: RFE: Handle partitial installs better
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer   
(Show other bugs)
Version: 6.1
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-11 04:21 UTC by Chris Siebenmann
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-26 15:43:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Siebenmann 1999-11-11 04:21:45 UTC
After our first attempt at doing a 6.0 -> 6.1 upgrade
failed with a signal 11 and subsequent system halt at
the apparent end of the install-updated-RPMs stage (see
bug #6913), we felt we had little choice but to retry
the upgrade. Doing so resulted in a significantly
scrambled RPM database, to wit:

 The crash of the first install process had apparently
left the old versions of a number of upgraded RPMs not
removed (at least in the database). When the installer
re-ran, it apparently decided that it needed to upgrade
them again (despite the presence of the upgraded versions
on the system), but then failed to remove the old versions
(again).

 The result, after the upgrade 'completed', was that we
had an RPM database and a system with one old copy and
two new copies of the same package for quite a few
packages.

 I think that the installer should make more effort to
handle previous installations that, for whatever reason
(ranging from an installer crash to an inopportune power
failure!) have aborted in the middle and are incomplete.
As a minimum I would expect it not to re-upgrade packages
when the upgraded package is on the system already (it
seems likely that this can happen normally, even without
the installer failing, with such packages as the kernel).
If the installer must bypass ordinary RPM checks, it should
make sure that it's not doing evil in the process.

Comment 1 Jay Turner 1999-11-29 20:34:59 UTC
This issue has been forwarded to a developer for further action.

Comment 2 Jay Turner 2000-02-09 13:26:59 UTC
This issue has been added to a list of features for future releases.

Comment 3 Michael Fulbright 2000-09-19 22:48:59 UTC
This is a very difficult problem but we will consider it for future development.


Note You need to log in before you can comment on or make changes to this bug.